﻿CREATE TABLE  "FF_KONYV" 
   (	"KONYV_ISBN" VARCHAR2(13) NOT NULL ENABLE, 
	"KONYV_CIM" VARCHAR2(128) NOT NULL ENABLE, 
	"KONYV_FULSZOVEG" VARCHAR2(2000), 
	"KONYV_KIADO_NEV" VARCHAR2(32) NOT NULL ENABLE, 
	"KONYV_KATEGORIA" VARCHAR2(32) NOT NULL ENABLE, 
	"KIADAS_EVE" NUMBER(4,0) NOT NULL ENABLE, 
	"KONYV_AR" NUMBER(5,0) NOT NULL ENABLE, 
	"KONYV_SZERZO_NEV" VARCHAR2(32) NOT NULL ENABLE, 
	"KONYV_KEP" BLOB NOT NULL ENABLE, 
	"KONYV_KEPFILENEV" VARCHAR2(128), 
	 CONSTRAINT "PK_KONYV" PRIMARY KEY ("KONYV_ISBN", "KONYV_CIM")
  USING INDEX  ENABLE
   )
/
ALTER TABLE  "FF_KONYV" ADD CONSTRAINT "FK1_KONYV_KIADO_NEV" FOREIGN KEY ("KONYV_KIADO_NEV")
	  REFERENCES  "FF_KIADO" ("KIADO_NEV") ENABLE
/
ALTER TABLE  "FF_KONYV" ADD CONSTRAINT "FK2_KONYV_SZERZO_NEV" FOREIGN KEY ("KONYV_SZERZO_NEV")
	  REFERENCES  "FF_SZERZO" ("SZERZO_NEV") ENABLE
/

CREATE UNIQUE INDEX  "SYS_IL0032325757C00009$$" ON  "FF_KONYV" (
/
