﻿CREATE TABLE  "FF_MEGRENDELES" 
   (	"M_VASARLO_EMAIL" VARCHAR2(128) NOT NULL ENABLE, 
	"M_RENDELES_DATUMA" DATE NOT NULL ENABLE, 
	"M_KONYV_ISBN" VARCHAR2(13) NOT NULL ENABLE, 
	"M_KONYV_CIM" VARCHAR2(128) NOT NULL ENABLE, 
	"M_RENDELT_DB" NUMBER(2,0) NOT NULL ENABLE, 
	"M_TELJESITVE" VARCHAR2(1), 
	 CONSTRAINT "PK_MEGRENDELES" PRIMARY KEY ("M_RENDELES_DATUMA", "M_VASARLO_EMAIL", "M_KONYV_ISBN", "M_KONYV_CIM")
  USING INDEX  ENABLE
   )
/
ALTER TABLE  "FF_MEGRENDELES" ADD CONSTRAINT "FK1_MEGRENDELES_KONYV" FOREIGN KEY ("M_KONYV_ISBN", "M_KONYV_CIM")
	  REFERENCES  "FF_KONYV" ("KONYV_ISBN", "KONYV_CIM") ENABLE
/
ALTER TABLE  "FF_MEGRENDELES" ADD CONSTRAINT "FK2_MEGRENDELES_VASARLO" FOREIGN KEY ("M_VASARLO_EMAIL")
	  REFERENCES  "FF_VASARLO" ("VASARLO_EMAIL") ENABLE
/
